Kernel log information
Implementation internals » Information gathering

Kernel log information scan functions. More...

## Functions

static int | str_ok (str_list_t *sl)
static int | str_list_cmp (str_list_t *sl1, str_list_t *sl2)
static void | _read_klog (hd_data_t *hd_data)
void | read_klog (hd_data_t *hd_data)
void | dump_klog (hd_data_t *hd_data)

## Detailed Description

Kernel log information scan functions.

## Function Documentation

## _read_klog()

void _read_klog | ( | hd_data_t * | hd_data | ) |

static

References add_str_list(), free_mem(), free_str_list(), hd_data, KLOG_BOOT, new_mem(), s_str_list_t::next, read_file(), str_list_cmp(), and str_ok().

Referenced by read_klog().

## dump_klog()

void dump_klog | ( | hd_data_t * | hd_data | ) |

References ADD2LOG, hd_data, s_str_list_t::next, and s_str_list_t::str.

Referenced by hd_scan().

## read_klog()

void read_klog | ( | hd_data_t * | hd_data | ) |

References _read_klog(), add_str_list(), free_str_list(), hd_data, s_str_list_t::next, and s_str_list_t::str.

Referenced by hd_scan_floppy(), hd_scan_misc(), klog_mem(), and klog_mem2().

## str_list_cmp()

int str_list_cmp | ( | str_list_t * | sl1,
|  | str_list_t * | sl2 )

static

References s_str_list_t::next, and s_str_list_t::str.

Referenced by _read_klog().

## str_ok()

int str_ok | ( | str_list_t * | sl | ) |

static

References s_str_list_t::str.

Referenced by _read_klog().